Upsert bot webhook
curl --request POST \
--url https://api.helloannie.com/v1/bots/{botId}/webhooks \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"authToken": "<string>"
}
'import requests
url = "https://api.helloannie.com/v1/bots/{botId}/webhooks"
payload = {
"url": "<string>",
"authToken": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', authToken: '<string>'})
};
fetch('https://api.helloannie.com/v1/bots/{botId}/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"webhookUrl": "<string>",
"isAuthTokenConfigured": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"data": {},
"message": "<string>"
}{
"success": false,
"data": {},
"message": "<string>"
}{
"success": false,
"data": {},
"message": "<string>"
}Bot Webhooks
Upsert bot webhook
Create or update the webhook configuration Annie will use to notify downstream systems. If authToken is provided, it will be passed to the webhook as a Bearer token in the Authorization header. If authToken is set to null, the token will be cleared and the webhook will not have an Authorization header. If authToken is not provided in the request body, the value of the authToken will not be changed.
POST
/
bots
/
{botId}
/
webhooks
Upsert bot webhook
Path Parameters
The ID of the bot to update webhook configuration for
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Payload used to create or update a bot webhook configuration
⌘I